using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DynamicDetails
{
    class Program
    {
        static void Main(string[] args)
        {
            Examples9_12.GenericsAndDynamic();
            Examples9_12.GenericTypeCompatibility();
            Examples13_14.CustomConversion();
            Examples15_16.UseDynamicFolderType();
            Examples17_18.UseExpando();
            Examples19_26.UsingDelegate();
            Examples19_26.PlausibleButNonWorkingExample();
            Examples19_26.NonAvailabilityOfExtensionMethods();
        }
    }
}
